Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Oct 2023 20:51:44 -0400

> In particular, what's missing from the following paragraph[1]?
>
>> Another way to think about let is that it is like a setq that is temporary
>> and local. The values set by let are automatically undone when the let is
>> finished. The setting only affects expressions that are inside the bounds
>> of the let expression. In computer science jargon, we would say the
>> binding of a symbol is visible only in functions called in the let form;
>> in Emacs Lisp, the default scoping is dynamic, not lexical. (The
>> non-default lexical binding is not discussed in this manual.) 

Nothing is "missing" but the above describes dynamic binding, static
binding has a different behavior which is not like "a setq at the
beginning which is undone at the end".  So this paragraph needs to be
fully rewritten.

        Stefan